import React from 'react';
import ReactDOM from 'react-dom/client';
import { theme } from './utils/theme';
import { ThemeProvider } from "@mui/material/styles";
import App from './App';
import { SnackbarProvider } from "notistack";
import { BrowserRouter } from "react-router-dom";
import { CssBaseline } from "@mui/material";

const root = ReactDOM.createRoot(
  document.getElementById('root') as HTMLElement
);
root.render(
  <React.StrictMode>
      <ThemeProvider theme={theme}>
          <CssBaseline />
          <SnackbarProvider>
              <BrowserRouter>
                <App />
              </BrowserRouter>
          </SnackbarProvider>
      </ThemeProvider>
  </React.StrictMode>
);
